Subject: [MIB-DOCTORS] MIB verification tools status

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Fri, 18 Dec 2009 09:16:25 +0100

MIB Doctors,

(A version of this message was sent at the beginning of the week. It
looks that my company's mail server had some problems that I was not
aware about, and some message I thought were sent never made it. If this
is a duplication please accept my apologies.)

We have been using and recommending for a few years two set of tools for
MIB verification, both listed at
http://www.ops.ietf.org/mib-review-tools.html

- smilint which is part of the open-source libsmi package developped I
believe by a team led by Juergen Schoenwaelder and maintained by Frank
Strauss of the Technical University of Braunschweig - which has a
publicly accessible Web interface also accessible from the IETF tools
- SMICng which is a commercial program developped by Dave Perkins which
used to be available from SNMPinfo. David made licenses for this program
available for free to all MIB Doctors

Thanks first to all folks who worked hard to develop and maintain these
tools, and made them available to the community. 

Many of the MIB Doctors were using both tools, as each was stricter on
some of the details than the other. However, our licenses for SMICng
will expire in less than two weeks on 12/31, and my tentatives to
contact David Perkins for a renewal of the licenses remained without
response. Unless something happens on this respect in the next few days
it looks like we have no other alternative but to take SMICng out of our
toolset and to use and recommend to other people writing MIB modules or
reviewing MIB modules to use smilint only. 

Comments, other ideas? 

Regards,

Dan

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 23 Dec 2009 16:32:16 +0100

Good news. David Perkins answered back and agreed with providing to the
MIB Doctors and RFC Editor a new key to continue the reviews that serve
the IETF and RFC series documents. Thanks, David for doing this and for
all the contributions and support!

Taking this into account we shall continue with using both tools. Folks
who need a new key please approach me also mentioning your environment,
right now there are two different keys for Mac and Microsoft. 

Best Regards and Happy Holidays,

Dan

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Romascanu, 
> Dan (Dan)
> Sent: Friday, December 18, 2009 10:16 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [MIB-DOCTORS] MIB verification tools status
> 
> MIB Doctors,
> 
> (A version of this message was sent at the beginning of the 
> week. It looks that my company's mail server had some 
> problems that I was not aware about, and some message I 
> thought were sent never made it. If this is a duplication 
> please accept my apologies.)
> 
> We have been using and recommending for a few years two set 
> of tools for MIB verification, both listed at 
> - smilint which is part of the open-source libsmi package 
> developped I believe by a team led by Juergen Schoenwaelder 
> and maintained by Frank Strauss of the Technical University 
> of Braunschweig - which has a publicly accessible Web 
> interface also accessible from the IETF tools
> - SMICng which is a commercial program developped by Dave 
> Perkins which used to be available from SNMPinfo. David made 
> licenses for this program available for free to all MIB Doctors
> 
> Thanks first to all folks who worked hard to develop and 
> maintain these tools, and made them available to the community. 
> 
> Many of the MIB Doctors were using both tools, as each was 
> stricter on some of the details than the other. However, our 
> licenses for SMICng will expire in less than two weeks on 
> 12/31, and my tentatives to contact David Perkins for a 
> renewal of the licenses remained without response. Unless 
> something happens on this respect in the next few days it 
> looks like we have no other alternative but to take SMICng 
> out of our toolset and to use and recommend to other people 
> writing MIB modules or reviewing MIB modules to use smilint only. 
> 
> Comments, other ideas? 
> 
> Regards,
> 
> Dan
> 
> 
> _______________________________________________
> MIB-DOCTORS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mib-doctors
>